Skip to main content
GET
/
v3
/
alert-rules
/
{alert_id}
/
get-thresholds
Get thresholds that were used to evaluate the given time bin using the given alert rule.
curl --request GET \
  --url https://{host}/v3/alert-rules/{alert_id}/get-thresholds \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "critical_threshold": 123,
    "warning_threshold": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

alert id path parameter

Query Parameters

alert_time_bucket
number<integer>
required

Timestamp(in milliseconds) pointing to the start of the time bin

feature_name
string

Name of the Feature

Response

Thresholds that were used to evaluate the given time bin using the given alert rule.

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object